Bug 971353 - [abrt] ninja-ide-2.2-1.fc18: preferences.py:1886:showEvent:IOError: [Errno 2] No such file or directory: u'/home/carik/.ninja_ide/addins/theme/Default.qss'
Summary: [abrt] ninja-ide-2.2-1.fc18: preferences.py:1886:showEvent:IOError: [Errno 2]...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ninja-ide (Show other bugs)
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9e75e19bf23e48e8870b7422bb5...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 10:53 UTC by Lubo
Modified: 2013-08-11 18:28 UTC (History)
2 users (show)

Fixed In Version: ninja-ide-2.3-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-11 18:28:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (656 bytes, text/plain)
2013-06-06 10:53 UTC, Lubo
no flags Details
File: environ (3.96 KB, text/plain)
2013-06-06 10:53 UTC, Lubo
no flags Details

Description Lubo 2013-06-06 10:53:20 UTC
Version-Release number of selected component:
ninja-ide-2.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/ninja-ide
core_backtrace: 4a32aa6d830c94c1256c3f065548eed70f85aa33 0x75e showEvent /usr/lib/python2.7/site-packages/ninja_ide/gui/dialogs/preferences.py -
executable:     /usr/bin/ninja-ide
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
preferences.py:1886:showEvent:IOError: [Errno 2] No such file or directory: u'/home/carik/.ninja_ide/addins/theme/Default.qss'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/ninja_ide/gui/dialogs/preferences.py", line 1886, in showEvent
    with open(qss_file) as f:
IOError: [Errno 2] No such file or directory: u'/home/carik/.ninja_ide/addins/theme/Default.qss'

Local variables in innermost frame:
file_name: u'Default.qss'
self: <ninja_ide.gui.dialogs.preferences.ThemeDesigner object at 0x7f6b18066b00>
qss_file: u'/home/carik/.ninja_ide/addins/theme/Default.qss'
event: <PyQt4.QtGui.QShowEvent object at 0x7f6b18057b90>

Comment 1 Lubo 2013-06-06 10:53:24 UTC
Created attachment 757607 [details]
File: backtrace

Comment 2 Lubo 2013-06-06 10:53:26 UTC
Created attachment 757608 [details]
File: environ

Comment 3 Fedora Update System 2013-07-12 17:21:40 UTC
ninja-ide-2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ninja-ide-2.3-1.fc18

Comment 4 Fedora Update System 2013-07-14 03:28:11 UTC
Package ninja-ide-2.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ninja-ide-2.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12957/ninja-ide-2.3-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-08-11 18:28:25 UTC
ninja-ide-2.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.